Summary:   NSS library for MySQL
Name:      libnss-mysql
Version:   1.5
Release:   12%{?dist}
Source0:   http://prdownloads.sourceforge.net/libnss-mysql/libnss-mysql-%{version}.tar.gz
Patch1:    libnss-mysql-multiarch.patch
URL:       http://libnss-mysql.sourceforge.net
License:   GPLv2+
Group:     System Environment/Base
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: mysql-devel, libtool, autoconf, automake

%description
Store your UNIX user accounts in MySQL. "libnss-mysql" enables the following:

* System-wide authentication and name service using a MySQL database.
  Applications do not need to be MySQL-aware or modified in any way.

* Storing authentication information in a database instead of text files.

* Creation of a single authentication database for multiple servers.
  This is often referred to as the "Single Sign-on" problem.

* Writing data-modification routines (IE self-management web interface).

libnss-mysql is similar to NIS or LDAP. It provides the same centralized
authentication service through a database. What does this mean? Username,
uid, gid, password, etc comes from a MySQL database instead of
/etc/password, /etc/shadow, and /etc/group. A user configured in MySQL will
look and behave just like a user configured in /etc/passwd. Your
applications such as ls, finger, sendmail, qmail, exim, postfix, proftpd,
X, sshd, etc. will all 'see' these users!

%prep
%setup -q -a 0
%patch1 -p1

%build
libtoolize -f
autoreconf -f
%configure
make %{?_smp_mflags}
# remove non linux samples
rm -rf sample/freebsd sample/solaris

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/{etc,lib}
make DESTDIR=$RPM_BUILD_ROOT install

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%exclude %{_libdir}/libnss_mysql.la
%exclude %{_libdir}/*.so
%{_libdir}/*.so.*
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/libnss-mysql.cfg
%attr(0600,root,root) %config(noreplace) %{_sysconfdir}/libnss-mysql-root.cfg
%doc README ChangeLog AUTHORS THANKS NEWS COPYING FAQ DEBUGGING UPGRADING TODO
%doc sample

%changelog
* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.5-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.5-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Fri Jan 23 2009 Jan ONDREJ (SAL) <ondrejj(at)salstar.sk> - 1.5-10
- added libtoolize -f and readded autoreconf -f

* Fri Jan 23 2009 Jan ONDREJ (SAL) <ondrejj(at)salstar.sk> - 1.5-9
- build fails with autoreconf, removed

* Fri Jan 23 2009 Jan ONDREJ (SAL) <ondrejj(at)salstar.sk> - 1.5-8
- rebuild against new mysql

* Sat Feb 9 2008 Jan ONDREJ (SAL) <ondrejj(at)salstar.sk> - 1.5-7
- rebuild against gcc4.3

* Tue Nov 27 2007 Jan ONDREJ (SAL) <ondrejj(at)salstar.sk> - 1.5-6
- updated buildroot according to packaging guidelines
- removed comment before ldconfig
- removed provides libnss_mysql (compatibility with my old packages)
- autoreconf used
- description bullets updated

* Sun Nov 18 2007 Jan ONDREJ (SAL) <ondrejj(at)salstar.sk> - 1.5-5
- added a patch to build on x86_64 and may be other
- regenerated autoconf to use added patch
- provides cleanup

* Sun Nov 18 2007 Jan ONDREJ (SAL) <ondrejj(at)salstar.sk> - 1.5-4
- buildroot changed

* Sat Nov 17 2007 Jan ONDREJ (SAL) <ondrejj(at)salstar.sk> - 1.5-3
- removed devel files
- removed non-linux documentation
- added buildrequires

* Fri Aug 31 2007 Jan ONDREJ (SAL) <ondrejj(at)salstar.sk> - 1.5-2
- Fedora updates

* Sat Sep 3 2005 Ben Goodwin <cinergi@users.sourceforge.net> - 1.5-1
- Update to 1.4

* Sat Apr 10 2004 Ben Goodwin <cinergi@users.sourceforge.net> - 1.4-1
- Update to 1.4

* Sat Apr 10 2004 Ben Goodwin <cinergi@users.sourceforge.net> - 1.3-1
- Update to 1.3
- Remove manual static re-link (1.3 relieves the need for this)
- doc += TODO

* Sun Mar 28 2004 Ben Goodwin <cinergi@users.sourceforge.net> - 1.2-1
- Update to 1.2

* Tue Mar 02 2004 Ben Goodwin <cinergi@users.sourceforge.net> - 1.1-1
- s#exports.linux#.libs/libnss_mysql.ver#
- Oops, libs/*.o not *.lo

* Sat Jul 12 2003 Ben Goodwin <cinergi@users.sourceforge.net> - 1.0-2
- Link with version script

* Sat Jul 12 2003 Ben Goodwin <cinergi@users.sourceforge.net> - 1.0-1
- Update to 1.0
- Use *.lo instead of individual .lo names in re-link
- Removed -Bgroup and --allow-shlib-undefined linker options

* Thu Jun 19 2003 Ben Goodwin <cinergi@users.sourceforge.net> - 0.9-2
- Added ugly hack to relink some libraries static.  It will probably
  break rpm builds on some hosts ...

* Wed Jun 18 2003 Ben Goodwin <cinergi@users.sourceforge.net> - 0.9-1
- Update to 0.9

* Sun Dec 29 2002 Ben Goodwin <cinergi@users.sourceforge.net> - 0.8-1
- Initial version
